Package org.opensaml.security.credential.impl

# Class FilesystemCredentialResolver

java.lang.Object
org.opensaml.security.credential.impl.AbstractCredentialResolver
org.opensaml.security.credential.impl.AbstractCriteriaFilteringCredentialResolver
org.opensaml.security.credential.impl.FilesystemCredentialResolver

All Implemented Interfaces:
  `Resolver<Credential,CriteriaSet>`, `CredentialResolver`

public class FilesystemCredentialResolver extends AbstractCriteriaFilteringCredentialResolver
NOTE: this class is not yet implemented A `CredentialResolver` that pulls credential information from the file system. This credential resolver attempts to retrieve credential information from the file system. Specifically it will attempt to find key, cert, and crl information from files within the given directory. The filename must start with the entityID and be followed by one of the follow extensions:

- .name - for key names. File must contain a carriage return seperated list of key names
- .priv - for private key. File must contain one PEM or DER encoded private key
- .pub - for public keys. File must contain one or more PEM or DER encoded private key
- .crt - for public certificates. File must contain one or more PEM or DER encoded X.509 certificates
- .crl - for certificate revocation lists. File must contain one or more CRLs

## Constructor Summary

Constructors
Constructor
Description
`FilesystemCredentialResolver(String credentialDirectory, Map<String,String> passwords)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Iterable<Credential>`
`resolveFromSource(CriteriaSet criteriaSet)`
Subclasses are required to implement this method to resolve credentials from the implementation-specific type of underlying credential source.

### Methods inherited from class org.opensaml.security.credential.impl.AbstractCriteriaFilteringCredentialResolver

`isSatisfyAllPredicates, resolve, setSatisfyAllPredicates`

### Methods inherited from class org.opensaml.security.credential.impl.AbstractCredentialResolver

`resolveSingle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilesystemCredentialResolver

public FilesystemCredentialResolver(@Nonnull String credentialDirectory, @Nonnull Map<String,String> passwords)
Constructor.

Parameters:
  `credentialDirectory` - directory credential information can be found in
  `passwords` - passwords for encrypted private keys, key is the entity ID, value is the password

## Method Details

### resolveFromSource

@Nonnull protected Iterable<Credential> resolveFromSource(@Nullable CriteriaSet criteriaSet)
Subclasses are required to implement this method to resolve credentials from the implementation-specific type of underlying credential source.

Specified by:
  `resolveFromSource` in class `AbstractCriteriaFilteringCredentialResolver`
Parameters:
  `criteriaSet` - the set of criteria used to resolve credentials from the credential source
Returns:
  an Iterable for the resolved set of credentials